Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.util
Class asl2xml

    java.lang.Object
      jason.util.asl2xml

Direct Known Subclasses:
  asl2dot, asl2html, asl2tex

    public class asl2xml

extends java.lang.Object

Convert an agent asl code to xml.

Field Summary
`protected javax.xml.transform.Transformer` | `transCache`

Constructor Summary
`asl2xml()`

Method Summary
`javax.xml.transform.Transformer` | `getTransformer()`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `transform(Agent ag)`
`java.lang.String` | `transform(org.w3c.dom.Document agState)`
`java.lang.String` | `transform(java.lang.String agCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transCache

    protected javax.xml.transform.Transformer transCache

Constructor Detail

### asl2xml

    public asl2xml()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### transform

    public java.lang.String transform(java.lang.String agCode)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### transform

    public java.lang.String transform(Agent ag)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### transform

    public java.lang.String transform(org.w3c.dom.Document agState)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTransformer

    public javax.xml.transform.Transformer getTransformer()
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD